#include <avr/io.h>
#define F_CPU 16000000
#include <stdio.h>
#include <util/delay.h>
#include "usart.h"

int main()
{	
    USART0_init();
	
	//DDRD |= (1 << PD7); // LED
	
	//PB0 fata
	//PB1 spate
	//PB2 stanga
	//PB3 dreapta
	
	DDRB |= (1 << PB0); // out motor 1
	DDRB |= (1 << PB1); // out motor 1
	DDRB |= (1 << PB3); // out motor 2 (directie)
	DDRB |= (1 << PB2); // out motor 2 (directie)
	
	
	while (1) {
		char c = USART0_receive();
		
		switch(c) {
		case 'F': // Move forward
			PORTB &= ~(1 << PB1);
			_delay_ms(100);
			PORTB |= (1 << PB0);
			break;
		
		case 'G': // Move forward - left
			PORTB &= ~(1 << PB1);			
			PORTB &= ~(1 << PB3);

			_delay_ms(100);
			PORTB |= (1 << PB0);
			PORTB |= (1 << PB2);
			break;
		case 'I': // Move forward - right
			PORTB &= ~(1 << PB1);
			PORTB &= ~(1 << PB2);
			
			_delay_ms(100);
			PORTB |= (1 << PB0);
			PORTB |= (1 << PB3);
			break;
		
		case 'B': // Move backward
			PORTB &= ~(1 << PB0);
			_delay_ms(100);
			PORTB |= (1 << PB1);
			break;
		
		case 'H': // Move backward - left
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB3);
			
			_delay_ms(100);
			PORTB |= (1 << PB1);
			PORTB |= (1 << PB2);
			break;
		
		case 'J': // Move backward - right
			PORTB &= ~(1 << PB0);			
			PORTB &= ~(1 << PB2);
			
			_delay_ms(100);
			PORTB |= (1 << PB1);
			PORTB |= (1 << PB3);
			break;
		
		case 'L': // Move left
			PORTB &= ~(1 << PB3);
			_delay_ms(100);
			PORTB |= (1 << PB2);
			break;
			
		case 'R': // Move right
			PORTB &= ~(1 << PB2);
			_delay_ms(100);
			PORTB |= (1 << PB3);
			break;
			
		case 'S': // Stop both motors
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB1);
			PORTB &= ~(1 << PB3);
			PORTB &= ~(1 << PB2);
			break;
			
		default: // Stop both motors
			PORTB &= ~(1 << PB0);
			PORTB &= ~(1 << PB1);
			PORTB &= ~(1 << PB3);
			PORTB &= ~(1 << PB2);
			break;
		}
	}
		
    return 0;
}